ManagedConcurrentMap.EntryWithValue (Groovy 2.4.6)
Date: 2016-02-18

org.codehaus.groovy.util

## Class ManagedConcurrentMap.EntryWithValue<K,V>

- java.lang.Object
- - org.codehaus.groovy.util.ManagedReference<K>
  - - org.codehaus.groovy.util.ManagedConcurrentMap.Entry<K,V>
    - - org.codehaus.groovy.util.ManagedConcurrentMap.EntryWithValue<K,V>

- All Implemented Interfaces:
    AbstractConcurrentMap.Entry<K,V>, AbstractConcurrentMapBase.Entry<V>, Finalizable
  Enclosing class:
    ManagedConcurrentMap<K,V>

      public static class ManagedConcurrentMap.EntryWithValue<K,V>
      extends ManagedConcurrentMap.Entry<K,V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, ManagedConcurrentMap.Segment segment, K key, int hash, V value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finalizeReference()`
    `V` | `getValue()`
    `void` | `setValue(V value)`

    - ### Methods inherited from class org.codehaus.groovy.util.ManagedConcurrentMap.Entry

      `finalizeRef, getHash, isEqual, isValid`

    - ### Methods inherited from class org.codehaus.groovy.util.ManagedReference

      `clear, get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedConcurrentMap.EntryWithValue

          public ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle,
                                             ManagedConcurrentMap.Segment segment,
                                             K key,
                                             int hash,
                                             V value)

  - ### Method Detail

    - #### getValue

          public V getValue()

      Specified by:
        `getValue` in interface `AbstractConcurrentMapBase.Entry<V>`
      Overrides:
        `getValue` in class `ManagedConcurrentMap.Entry<K,V>`

    - #### setValue

          public void setValue(V value)

      Specified by:
        `setValue` in interface `AbstractConcurrentMapBase.Entry<V>`
      Overrides:
        `setValue` in class `ManagedConcurrentMap.Entry<K,V>`

    - #### finalizeReference

          public void finalizeReference()

      Specified by:
        `finalizeReference` in interface `Finalizable`
      Overrides:
        `finalizeReference` in class `ManagedConcurrentMap.Entry<K,V>`